/****** Object:  Table [dbo].[main_data]    Script Date: 2005.12.19. 0:28:24 ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[main_data]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[main_data]
GO

/****** Object:  Table [dbo].[set_specs]    Script Date: 2005.12.19. 0:28:24 ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[set_specs]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[set_specs]
GO

/****** Object:  Table [dbo].[sets]    Script Date: 2005.12.19. 0:28:24 ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[sets]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[sets]
GO

/****** Object:  Table [dbo].[main_data]    Script Date: 2005.12.19. 0:28:24 ******/
CREATE TABLE [dbo].[main_data] (
	[id] [int] IDENTITY (1, 1) NOT NULL ,
	[xml] [varbinary] (4000) NULL ,
	[created] [datetime] NOT NULL ,
	[modified] [datetime] NOT NULL ,
	[deleted] [datetime] NULL ,
	[harvestble] [char] (1) COLLATE Hungarian_CI_AS NOT NULL ,
	[root_name] [varchar] (30) COLLATE Hungarian_CI_AS NOT NULL ,
	[root_namespace] [varchar] (90) COLLATE Hungarian_CI_AS NOT NULL ,
	[externalid] [varchar] (20) COLLATE Hungarian_CI_AS NOT NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[set_specs]    Script Date: 2005.12.19. 0:28:25 ******/
CREATE TABLE [dbo].[set_specs] (
	[id] [varchar] (40) COLLATE Hungarian_CI_AS NOT NULL ,
	[set_spec] [varchar] (30) COLLATE Hungarian_CI_AS NOT NULL 
) ON [PRIMARY]
GO

/****** Object:  Table [dbo].[sets]    Script Date: 2005.12.19. 0:28:25 ******/
CREATE TABLE [dbo].[sets] (
	[name] [varchar] (40) COLLATE Hungarian_CI_AS NOT NULL ,
	[set_spec] [varchar] (30) COLLATE Hungarian_CI_AS NOT NULL 
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[main_data] WITH NOCHECK ADD 
	CONSTRAINT [PK_main_data] PRIMARY KEY  CLUSTERED 
	(
		[id]
	)  ON [PRIMARY] 
GO

 CREATE  CLUSTERED  INDEX [IX_set_specs] ON [dbo].[set_specs]([id]) ON [PRIMARY]
GO

ALTER TABLE [dbo].[main_data] ADD 
	CONSTRAINT [DF__main_data__creat__6A30C649] DEFAULT ('1900-01-01 00:00:00') FOR [created],
	CONSTRAINT [DF__main_data__modif__6B24EA82] DEFAULT ('1900-01-01 00:00:00') FOR [modified],
	CONSTRAINT [DF__main_data__harve__6D0D32F4] DEFAULT ('') FOR [harvestble],
	CONSTRAINT [DF__main_data__root___6E01572D] DEFAULT ('') FOR [root_name],
	CONSTRAINT [DF__main_data__root___6EF57B66] DEFAULT ('') FOR [root_namespace],
	CONSTRAINT [DF__main_data__exter__6FE99F9F] DEFAULT ('') FOR [externalid]
GO

 CREATE  INDEX [IX_main_data_modified] ON [dbo].[main_data]([modified]) ON [PRIMARY]
GO

 CREATE  INDEX [IX_main_data_rns] ON [dbo].[main_data]([root_namespace]) ON [PRIMARY]
GO

 CREATE  INDEX [IX_main_data_rn] ON [dbo].[main_data]([root_name]) ON [PRIMARY]
GO

 CREATE  INDEX [IX_main_data_externalid] ON [dbo].[main_data]([id], [externalid]) ON [PRIMARY]
GO

ALTER TABLE [dbo].[set_specs] ADD 
	CONSTRAINT [DF__set_specs__id__03F0984C] DEFAULT ('') FOR [id],
	CONSTRAINT [DF__set_specs__set_s__04E4BC85] DEFAULT ('') FOR [set_spec]
GO

 CREATE  INDEX [IX_set_specs_1] ON [dbo].[set_specs]([set_spec]) ON [PRIMARY]
GO

ALTER TABLE [dbo].[sets] ADD 
	CONSTRAINT [DF__sets__name__06CD04F7] DEFAULT ('') FOR [name],
	CONSTRAINT [DF__sets__set_spec__07C12930] DEFAULT ('') FOR [set_spec],
	CONSTRAINT [IX_sets] UNIQUE  NONCLUSTERED 
	(
		[set_spec]
	)  ON [PRIMARY] 
GO

